Crystal Space: csEllipsoid Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csEllipsoid Class Reference
[Geometry utilities]

This class represents an ellipsoid. More...

`#include <csgeom/sphere.h>`

List of all members.

## Public Member Functions
| csEllipsoid (const csEllipsoid &s)
| Copy Constructor.
| csEllipsoid (const csVector3 &center, const csVector3 &radius)
| Create a new ellipsoid.
| csEllipsoid ()
| Create a new empty ellipsoid at (0,0,0).
const csVector3 & | GetCenter () const
| Get the center of this ellipsoid.
csVector3 & | GetCenter ()
| Get the center of this ellipsoid.
const csVector3 & | GetRadius () const
| Get the radius of this ellipsoid.
csVector3 & | GetRadius ()
| Get the radius of this ellipsoid.
void | SetCenter (const csVector3 &c)
| Set the center of this ellipsoid.
void | SetRadius (const csVector3 &r)
| Set the radius of this ellipsoid.

## Detailed Description

This class represents an ellipsoid.

Definition at line 90 of file sphere.h.

## Constructor & Destructor Documentation

csEllipsoid::csEllipsoid | ( |  | ) | `[inline]`

Create a new empty ellipsoid at (0,0,0).

Definition at line 98 of file sphere.h.

csEllipsoid::csEllipsoid | ( | const csVector3 & | center,
|  | const csVector3 & | radius |
| ) |  |  | `[inline]`

Create a new ellipsoid.

Definition at line 105 of file sphere.h.

csEllipsoid::csEllipsoid | ( | const csEllipsoid & | s | ) | `[inline]`

Copy Constructor.

Definition at line 112 of file sphere.h.

References center, and radius.

## Member Function Documentation

const csVector3& csEllipsoid::GetCenter | ( |  | ) | const`[inline]`

Get the center of this ellipsoid.

Definition at line 117 of file sphere.h.

csVector3& csEllipsoid::GetCenter | ( |  | ) | `[inline]`

Get the center of this ellipsoid.

Definition at line 115 of file sphere.h.

const csVector3& csEllipsoid::GetRadius | ( |  | ) | const`[inline]`

Get the radius of this ellipsoid.

Definition at line 123 of file sphere.h.

csVector3& csEllipsoid::GetRadius | ( |  | ) | `[inline]`

Get the radius of this ellipsoid.

Definition at line 121 of file sphere.h.

void csEllipsoid::SetCenter | ( | const csVector3 & | c | ) | `[inline]`

Set the center of this ellipsoid.

Definition at line 119 of file sphere.h.

void csEllipsoid::SetRadius | ( | const csVector3 & | r | ) | `[inline]`

Set the radius of this ellipsoid.

Definition at line 125 of file sphere.h.

The documentation for this class was generated from the following file:

- csgeom/sphere.h